#
#	Makefile
#
#	CLiP - Common Library for P/ECE
#	Copyright (C) 2001-2010 Naoyuki Sawa
#
#	* Tue Dec  4 04:41:51 JST 2001 Naoyuki Sawa
#	- 作成開始。
#	* Sat May 25 15:43:00 JST 2002 Naoyuki Sawa
#	- ライブラリ構築用に特化したバージョンを作成。
#	- アプリケーション構築用に特化したバージョンを作成。
#	* Tue Jul  2 12:55:00 JST 2002 Naoyuki Sawa
#	- 自作ツールのマクロ定義を追加。
#	- lib,srf,pexの出力ファイル名を$@で指定。
#	- DEBUGシンボル定義時は、CFLAGSだけでなくLDFLAGSにも-gを追加。
#	  -gを指定しないと、リンク時にデバッグ情報が削除されてしまう。
#	* Sat Jul 20 21:16:00 JST 2002 Naoyuki Sawa
#	- データコンバート用の記述を追加しました。
#	* Mon Jul 22 21:10:00 JST 2002 Naoyuki Sawa
#	- データコンバート用の記述にdppcmcnvを追加しました。
#	* Mon Jul 23 04:25:00 JST 2002 Naoyuki Sawa
#	- これまでライブラリ構築用とアプリケーション構築用のMakefileを
#	  別々に管理していましたが、共通部分をclip.mkに分離し、
#	  異なる部分だけをそれぞれのMakefileに残すようにしました。
#	* Wed Feb 27 19:37:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipunz.oを追加しました。
#	* Mon Mar 24 04:30:00 JST 2003 Naoyuki Sawa
#	- clipmath.oをclipfix.oに変更しました。
#	* Fri Mar 28 06:00:00 JST 2003 Naoyuki Sawa
#	- コンパイラが生成するアセンブラソースを確認するために、
#	  APP_CFLAGS に -b オプション（中間ファイルを削除しない）を追加しました。
#	- make cleanの削除対象に、中間ファイル（*.$$,*.ps,*.ms）を追加しました。
#	  *.$$は*.$を表します。（Makefile中では$をエスケープする必要があるため）
#	* Tue May 20 06:00:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipio.oを追加しました。
#	* Wed Aug 20 06:00:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipdfrg.oを追加しました。
#	* Wed Sep 03 18:24:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipmidi.oを追加しました。
#	* Wed Sep 14 22:16:00 JST 2003 Naoyuki Sawa
#	- OBJSにsysstack.oを追加しました。
#	* Mon Oct 20 04:14:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipdct.oを追加しました。
#	* Wed Nov 12 05:25:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipmp3.o,clipmp3a.o,frammp3.oを追加しました。
#	* Wed Nov 19 05:22:00 JST 2003 Naoyuki Sawa
#	- 高速RAM転送候補モジュールのコンパイル依存関係を修正。
#	* Wed Nov 26 05:25:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipay.o,clippsg.o,clipz80.o,clipz8op.o
#	        framay.o frampsg.o,framz80.oを追加しました。
#	* Fri Nov 28 06:00:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipz80a.oを追加しました。
#	* Sun Nov 30 20:26:00 JST 2003 Naoyuki Sawa
#	- framay.oを削除しました。
#	* Wed Dec 07 06:00:00 JST 2003 Naoyuki Sawa
#	- clipz8op.o => clipz80i.o に改名しました。
#	* Wed Dec 08 06:00:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipm65.o,clipm65i.o,clipm65a.o,framm65.oを追加しました。
#	* Thu Dec 11 12:30:00 JST 2003 Naoyuki Sawa
#	- CLiPライブラリもTRACE ON/OFF両バージョンでコンパイルできるよう、
#	  TRACEシンボルの定義行(通常はコメントアウトしておく)と、
#	  FRAM_CFLAGSへのトレースシンボル定義反映を追加しました。
#	* Mon Dec 15 06:00:00 JST 2003 Naoyuki Sawa
#	- clipm65a.s=>framm65a.sに変更しました。
#	* Thu Dec 25 06:00:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipemu.oを追加しました。
#	* Thu Dec 28 19:56:00 JST 2003 Naoyuki Sawa
#	- OBJSにclippsid.o,clipsid.o,frampsid.o,framsid.oを追加しました。
#	* Wed Jan 07 06:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipssm.o,clipssmi.o,framssm.o,framssma.oを追加しました。
#	- OBJSにclipspc.o,clipsds.o,framspc.o,framsds.oを追加しました。
#	* Wed Jan 12 18:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipsn7.o,framsn7.oを追加しました。
#	- OBJSにclipvgm.o,framvgm.oを追加しました。
#	* Wed Jan 17 12:30:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipdmg.o,clipdmgi.o,framdmg.o,framdmga.oを追加しました。
#	- OBJSにclipgbs.o,clipdms.o,framgbs.o,framdms.oを追加しました。
#	* Mon Jan 26 20:20:00 JST 2003 Naoyuki Sawa
#	- OBJSにclipsap.o,clippky.o,framsap.o,frampky.oを追加しました。
#	* Sun Feb 01 09:50:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipm68.o,clipm68i.o,framm68.o,framm68a.oを追加しました。
#	* Sat Feb 07 21:42:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipay3.o,framay3.oを追加しました。
#	- OBJSからclippsg.o,frampsg.oを削除しました。
#	* Wed Feb 11 17:45:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipm69.o,clipm69i.o,framm69.o,framm69a.oを追加しました。
#	* Sun Feb 15 04:29:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipwsg.o,framwsg.oを追加しました。
#	* Sun Feb 22 10:45:00 JST 2004 Naoyuki Sawa
#	- OBJSにframz80a.oを追加しました。
#	* Mon Feb 23 12:30:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipc62.o,clipc62i.o,framc62.o,framc62a.oを追加しました。
#	- OBJSにclipp62.o,framp62.oを追加しました。
#	- OBJSにcliphes.o,framhes.oを追加しました。
#	* Mon Mar 15 12:30:00 JST 2004 Naoyuki Sawa
#	- OBJSにclippzl.oを追加しました。
#	* Fri Mar 19 20:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipcp8.o,clipcp8i.oを追加しました。
#	* Mon Apr 19 21:38:00 JST 2004 Naoyuki Sawa
#	- OBJSにcliplzh.oを追加しました。
#	* Tue Apr 20 19:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipym.o,framym.oを追加しました。
#	* Sat Apr 24 06:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipspr.oを追加しました。
#	* Tue May 11 21:10:00 JST 2004 Naoyuki Sawa
#	- OBJSにcliptime.oを追加しました。
#	* Mon May 17 22:46:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipcom.oを追加しました。
#	* Tue May 18 23:35:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipcbx.oを追加しました。
#	* Mon May 24 06:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipmus.oを追加しました。
#	* Mon May 31 19:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipmou.oを追加しました。
#	* Sun Jun 6 14:27:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipldir.o,framldir.oを追加しました。
#	* Mon Jun 7 09:50:00 JST 2004 Naoyuki Sawa
#	- OBJSからframdobj.oを削除しました。
#	  OBJSにframdo4.o,framdo4m.oを追加しました。
#	* Tue Jun 8 06:00:00 JST 2004 Naoyuki Sawa
#	- OBJSからframdo4m.oを削除しました。
#	  framdo4m.cの内容はframdo4.cにまとめました。
#	* Tue Jun 8 19:00:00 JST 2004 Naoyuki Sawa
#	- OBJSからframdo4.oを削除しました。
#	  framdo4.cの内容はframldir.cに移しました。
#	* Tue Jul 22 07:18:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipgc.oを追加しました。
#	* Mon Aug  2 05:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにframds12.o,framds13.oを追加しました。
#	- OBJSにframds21.o,framds22.o,framds23.o,framds24.o,framds25.oを追加しました。
#	- OBJSにclipspr2.oを追加しました。
#	* Thu Oct  7 06:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipsp2.o,framsp2a.oを追加しました。
#	* Sun Oct 10 16:18:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipsp2c.o,clipsp2d.o,clipsp2a.oを追加しました。
#	* Sat Oct 30 19:27:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipusb.oを追加しました。
#	* Tue Nov  9 19:00:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipxm.o,framxm.oを追加しました。
#	* Tue Nov 14 20:03:00 JST 2004 Naoyuki Sawa
#	- OBJSにclips3m.o,frams3m.oを追加しました。
#	* Thu Nov 18 18:59:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipit.o,framit.oを追加しました。
#	* Sun Dec 05 03:03:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipn2.o,framn2.o,framn2a.oを追加しました。
#	* Thu Dec 9 18:16:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipgym.o,framgym.oを追加しました。
#	* Sun Dec 19 20:21:00 JST 2004 Naoyuki Sawa
#	- clippzl.oをclipzip.oに名前変更しました。
#	* Mon Dec 20 19:13:00 JST 2004 Naoyuki Sawa
#	- OBJSにframline.oを追加しました。
#	* Tue Dec 21 04:30:00 JST 2004 Naoyuki Sawa
#	- OBJSにclipwire.oを追加しました。
#	* Mon Jan 3 15:55:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipt18.oを追加しました。
#	* Tue Jun 4 21:32:00 JST 2005 Naoyuki Sawa
#	- OBJSにframdraw.oを追加しました。
#	- OBJSにframt18.o,framt18a.oを追加しました。
#	* Tue Jan 11 05:37:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipz8c.o,framz8c.o,clipz8ca.o,framz8ca.oを追加しました。
#	* Fri Jan 28 19:51:00 JST 2005 Naoyuki Sawa
#	- OBJSにclip65c.o,fram65c.o,clip65ca.o,fram65ca.oを追加しました。
#	* Sun Jan 30 21:25:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipppu.o,framppu.o,framppua.oを追加しました。
#	* Wed Feb 02 21:01:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipmirr.oを追加しました。
#	* Sun Feb  6 06:09:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipdi.oを追加しました。
#	* Sun Feb 06 18:39:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipapu.o,framapu.o,framapua.oを追加しました。
#	* Wed Feb 09 23:12:00 JST 2005 Naoyuki Sawa
#	- OBJSにclippp4.o,frampp4.o,frampp4a.oを追加しました。
#	* Sun Feb 13 03:10:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipdmc.o,framdmc.o,clipdmca.o,framdmca.oを追加しました。
#	* Fri Feb 18 20:18:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipdmv.o,framdmv.o,framdmva.oを追加しました。
#	* Mon Feb 28 21:41:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipdms2.o,framdms2.oを追加しました。
#	* Sun Mar 06 00:11:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipir.oを追加しました。
#	* Fri Mar 11 03:00:00 JST 2005 Naoyuki Sawa
#	- OBJSにcliptia.o,framtia.o,framtiaa.oを追加しました。
#	* Thu Mar 24 03:00:00 JST 2005 Naoyuki Sawa
#	- OBJSにcliptiaa.oを追加しました。
#	* Sun Apr 10 06:09:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipw65.o,framw65.o,clipw65a.o,framw65a.oを追加しました。
#	* Thu Apr 14 05:55:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipsv.o,framsv.o,framsva.oを追加しました。
#	* Mon Apr 25 20:42:00 JST 2005 Naoyuki Sawa
#	- OBJSにclips26.o,frams26.o,clips26a.o,frams26a.oを追加しました。
#	* Sat Apr 30 13:14:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipuvi.o,framuvi.o,clipuvia.o,framuvia.oを追加しました。
#	* Sun May 15 21:34:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipc16.o,framc16.o,clipc16a.o,framc16a.oを追加しました。
#	* Wed May 18 20:00:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipsti.o,framsti.o,clipstia.o,framstia.oを追加しました。
#	* Wed Jun 01 19:58:00 JST 2005 Naoyuki Sawa
#	- OBJSにclipxsz2.oを追加しました。
#	* Wed Jun 01 20:49:00 JST 2005 Naoyuki Sawa
#	- これまで、全モジュールをclip.libに含めていたのを、clip.libとfram.libに分離しました。
#	- clip.libとfram.libの分離に伴い、OBJSをOBJS_CLIPとOBJS_FRAMに分離しました。
#	- fram.libを分離した理由は、一つのlibファイルに含まれるグローバルシンボルが多すぎると、
#	  lib33.exeがエラー終了するみたいだからです。
#	  これまで、全モジュールをclip.libに含めてきましたが、さらにモジュールを追加したところ
#	  lib33.exeがエラー終了するように鳴りました。
#	  関数を一部staticにするとエラーが回避できるため、原因を上述のように推測しました。
#	- 今回、libを二つに分けたため、当分は大丈夫だと思います。
#	  いずれまたグローバルシンボルが増えすぎたら、さらに分割する必要があるかも知れません。
#	* Sun Jun 26 19:46:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipufe.oを追加しました。
#	* Wed Jul 6 06:14:00 JST 2005 Naoyuki Sawa
#	- clip.libとfram.libの分離により、clip.mkでの依存関係定義:
#		$(OBJS): $(HEADERS)
#	  では対応できなくなっていました。(これまで気付きませんでした...)
#	  OBJS_CLIPとOBJS_FRAM毎に依存関係を明示しました。
#	* Fri Jul 08 18:58:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipuio.oを追加しました。
#	* Sun Jul 24 04:08:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipnet.oを追加しました。
#	* Sun Jul 24 18:30:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipslip.oを追加しました。
#	* Thu Aug 18 20:36:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipeth.oを追加しました。
#	* Wed Aug 25 05:43:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipip.oを追加しました。
#	* Wed Sep 07 03:55:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipudp.oを追加しました。
#	* Sat Sep 17 23:04:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにcliptcp.oを追加しました。
#	* Thu Sep 22 05:00:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipdns.oを追加しました。
#	* Wed Nov 30 22:49:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipfpk.oを追加しました。
#	* Mon Dec 26 01:25:00 JST 2005 Naoyuki Sawa
#	- OBJS_CLIPにclipcoll.o,clipintf.oを追加しました。
#	* Wed Feb 22 00:00:00 JST 2006 Naoyuki Sawa
#	- FRAM_CFLAGSに -I$(CLIP) -I$(CLIP)\include を追加しました。
#	  詳細は clip.mk の同日コメントを参照してください。
#	- APP_CFLAGS から -b オプションを削除しました。
#	  今後は clip.mk にて、共通に設定されます。
#	* Tue Jun 27 04:45:47 JST 2006 Naoyuki Sawa
#	- HEADERSの定義が不足していたのを追加しました。
#	  (改訂の度にフルリビルドしていたので、気付きませんでした...)
#	* Wed Jun 28 00:56:04 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにclipmesh.oを追加しました。
#	* Thu Jun 29 14:47:06 JST 2006 Naoyuki Sawa
#	- clipmesh.oをclipobj3.oに名前変更しました。
#	* Sat Jul 01 02:18:59 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにclipmenu.oを追加しました。
#	* Mon Jul 10 23:43:11 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにaddsf3.oを追加しました。
#	  PIECE開発環境付属のfp.libの不具合を回避するためです。
#	  keep/PIECE開発環境付属のfp_libの不具合について-20060710.zipを参照してください。
#	* Thu Sep 14 13:44:08 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにclipquat.oを追加しました。
#	* Mon Oct 09 09:29:18 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにclipht2.oを追加しました。
#	- OBJS_FRAMにframht2.oを追加しました。
#	* Sun Nov 26 06:56:58 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにtixml.oを追加しました。
#	* Mon Dec 04 17:25:33 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにbltml.oを追加しました。
#	* Sun Dec 10 21:58:17 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにclipres.oを追加しました。
#	* Wed Dec 20 17:33:46 JST 2006 Naoyuki Sawa
#	- OBJS_CLIPにclipadp.oを追加しました。
#	- OBJS_FRAMにframadp.oを追加しました。
#	* Mon Jan 08 01:00:26 JST 2007 Naoyuki Sawa
#	- OBJS_CLIPにclipidiv.oを追加しました。
#	* Sat Feb 17 01:51:50 JST 2007 Naoyuki Sawa
#	- OBJSにclipdes.oを追加しました。
#	* Mon Feb 19 00:05:57 JST 2007 Naoyuki Sawa
#	- OBJSにclipcode.oを追加しました。
#	* Fri Apr 13 00:10:09 JST 2007 Naoyuki Sawa
#	- OBJSにclipsort.oを追加しました。
#	* Sat Sep 08 22:34:50 JST 2007 Naoyuki Sawa
#	- OBJSにclipdbg.oを追加しました。
#	* Wed Sep 19 17:10:47 JST 2007 Naoyuki Sawa
#	- framfontのmlt.w→mlt.h変換が不要になったので、framfont.o生成規則を修正しました。
#	  詳細は、framfont.cのコメントを参照してください。
#	* Tue Oct 16 13:00:41 JST 2007 Naoyuki Sawa
#	- OBJSにdefsym.oを追加しました。
#	  詳しくは、defsym.sのコメントを参照してください。
#	* Tue Oct 23 12:54:59 JST 2007 Naoyuki Sawa
#	- framdrawのmlt.w→mlt.h変換が不要になったので、framdraw.o生成規則を修正しました。
#	  詳細は、framdraw.cのコメントを参照してください。
#	* Tue Oct 30 17:27:26 JST 2007 Naoyuki Sawa
#	- OBJS_CLIPにclipacm.oを追加しました。
#	* Fri Nov 16 16:28:45 JST 2007 Naoyuki Sawa
#	- OBJS_CLIPにclipmmio.o,clipcvid.oを追加しました。
#	* Sun Dec 09 16:44:53 JST 2007 Naoyuki Sawa
#	- OBJS_CLIPにclipcp21.oを追加しました。
#	* Tue Jan 08 11:47:29 JST 2008 Naoyuki Sawa
#	- カスタムスタートアップルーチン(cstart.o)を使うための変更を行いました。
#	  ターゲットallにcstart.oを追加しました。
#	  cstart.oはライブラリに含めず、直接リンクします。
#	  clip.mkの中にある、LDFLAGSの、同日のコメントを参照してください。
#	* Sun Jan 13 13:34:20 JST 2008 Naoyuki Sawa
#	- OBJS_FRAMにframdp1.o、framdp2.oを追加しました。
#	* Mon Jan 14 23:18:06 JST 2008 Naoyuki Sawa
#	- OBJS_FRAMからframdp1.o、framdp2.oを削除し、framdprm.oを追加しました。
#	* Sun Feb 17 16:08:04 JST 2008 Naoyuki Sawa
#	- OBJS_CLIPにcliptlz.oを追加しました。
#	* Sat Mar 08 22:02:58 JST 2008 Naoyuki Sawa
#	- OBJS_CLIPにclipfnt8.oを追加しました。
#	* Thu Jun 05 21:54:59 JST 2008 Naoyuki Sawa
#	- OBJS_CLIPからaddsf3.oを削除しました。
#	- OBJS_FRAMにframfp1.oを追加しました。
#	* Sun Jun 22 00:19:25 JST 2008 Naoyuki Sawa
#	- framfp1.o→framflt1.oに名前変更しました。
#	- OBJS_FRAMにframflt2.oを追加しました。
#	* Sun Jul 20 13:26:33 JST 2008 Naoyuki Sawa
#	- OBJS_CLIPにclipflt.oを追加しました。
#	- OBJS_FRAMにframflt3.oを追加しました。
#	* Sun Aug 10 01:28:24 JST 2008 Naoyuki Sawa
#	- OBJS_CLIPにcliprenf.oを追加しました。
#	* Mon Sep 08 16:31:59 JST 2008 Naoyuki Sawa
#	- clipflt.oをclipflt1.oとclipflt2.oに分割しました。
#	* Sat Jan 31 22:42:52 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipdct2.oを追加しました。
#	* Mon Feb 09 23:39:49 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipjpeg.oを追加しました。
#	* Sat Mar 28 21:24:38 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclippng.oを追加しました。
#	* Sun Apr 05 13:07:55 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipgif.oを追加しました。
#	* Sun Apr 26 19:36:30 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにcliptga.oを追加しました。
#	* Sat May 02 20:49:01 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipquaf.oを追加しました。
#	* Mon Jun 01 18:20:45 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipswf.oを追加しました。
#	* Fri Jun 19 01:44:03 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipidle.oを追加しました。
#	* Sun Jun 28 15:08:23 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipfntx.oを追加しました。
#	* Mon Jul 13 18:26:06 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipsrf.oを追加しました。
#	* Mon Jul 27 18:37:37 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipfp16.oを追加しました。
#	* Thu Sep 10 00:42:56 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにcliplzss.oを追加しました。
#	* Sat Sep 12 20:19:17 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipint.oを追加しました。
#	* Tue Sep 22 12:42:29 JST 2009 Naoyuki Sawa
#	- OBJS_CLIPにclipncs.oを追加しました。
#	* Sat Jan 02 00:37:30 JST 2010 Naoyuki Sawa
#	- OBJS_CLIPにclipc17.oを追加しました。
#	* Thu Jan 14 22:35:24 JST 2010 Naoyuki Sawa
#	- OBJS_FRAMにframc17.oを追加しました。
#	* Fri Jan 15 19:19:21 JST 2010 Naoyuki Sawa
#	- clip.libを、clip1.libとclip2.libに分割しました。
#	  lk33のバグで、ひとつのライブラリにたくさんのグローバルシンボルが含まれていると、不正終了するからです。
#	- 手元の環境で実験したところ、ひとつのライブラリに含められるグローバルシンボルの上限数は、4656個でした。
#	  4657個以上のグローバルシンボルが含まれていると、アプリケーションのリンク時に不正終了しました。
#	  今回の実験では4656個でしたが、ライブラリの内容によって上下するのかどうか、未検証です。
#	  ひとつのライブラリに含めるグローバルシンボルの数は、4000個以内にしておくのが安全だと思います。
#	- 今回、clipc17.oの追加によって、グローバルシンボルの数が4000個を超えたため、分割することにしました。
#	  今後は、オブジェクトファイルはclip2.libに追加し、clip1.libには追加しないよう注意してください。
#

#DEBUG=1
#TRACE=1
CLIP=.

#############################################################################
#	マクロ定義
#############################################################################

# clip1.libに含めるオブジェクトファイルを列挙してください。
OBJS_CLIP1 =       \
	version_check.o \
	sysstack.o \
	defsym.o   \
	clipmisc.o \
	clipmirr.o \
	clipxsz2.o \
	cliptask.o \
	clipfix.o  \
	clipquat.o \
	clipdi.o   \
	clipfpk.o  \
	clipcoll.o \
	clipintf.o \
	clipren2.o \
	clipren3.o \
	clipobj3.o \
	clipwire.o \
	clippce.o  \
	clipidiv.o \
	clipldir.o \
	clipspr.o  \
	clipspr2.o \
	clipmenu.o \
	clipmus.o  \
	clipio.o   \
	cliptime.o \
	clipdfrg.o \
	clipprnt.o \
	clipzlib.o \
	clipunz.o  \
	clipgsm.o  \
	clipmod.o  \
	clips3m.o  \
	clipxm.o   \
	clipit.o   \
	clipmidi.o \
	clipmp3.o  \
	clipmp3a.o \
	clipay.o   \
	clippsid.o \
	clipsap.o  \
	clipspc.o  \
	clipsp2.o  \
	clipsp2c.o \
	clipsp2d.o \
	clipsp2a.o \
	clipvgm.o  \
	clipgym.o  \
	clipgbs.o  \
	cliphes.o  \
	clipym.o   \
	clipay3.o  \
	clipsid.o  \
	clippky.o  \
	clipsds.o  \
	clipsn7.o  \
	clipdms.o  \
	clipdms2.o \
	clipwsg.o  \
	clipp62.o  \
	clipn2.o   \
	clipz80.o  \
	clipz80i.o \
	clipz80a.o \
	clipz8c.o  \
	clipz8ca.o \
	clipm65.o  \
	clipm65i.o \
	clip65c.o  \
	clip65ca.o \
	clipw65.o  \
	clipw65a.o \
	clipssm.o  \
	clipssmi.o \
	clipdmg.o  \
	clipdmgi.o \
	clipdmc.o  \
	clipdmca.o \
	clipm68.o  \
	clipm68i.o \
	clipm69.o  \
	clipm69i.o \
	clipc62.o  \
	clipc62i.o \
	clipt18.o  \
	clipppu.o  \
	clippp4.o  \
	clipapu.o  \
	clipdmv.o  \
	cliptia.o  \
	cliptiaa.o \
	clipsv.o   \
	clipsva.o  \
	clips26.o  \
	clips26a.o \
	clipuvi.o  \
	clipuvia.o \
	clipc16.o  \
	clipc16a.o \
	clipsti.o  \
	clipstia.o \
	clipcp8.o  \
	clipcp8i.o \
	clipdct.o  \
	clipemu.o  \
	clipzip.o  \
	cliplzh.o  \
	clipdes.o  \
	clipcode.o \
	clipgc.o   \
	clipusb.o  \
	clipuio.o  \
	clipacm.o  \
	clipeth.o  \
	clipip.o   \
	clipudp.o  \
	cliptcp.o  \
	clipdns.o  \
	clipufe.o  \
	clipir.o   \
	clipcom.o  \
	clipcbx.o  \
	clipmou.o  \
	clipnet.o  \
	clipslip.o \
	clipht2.o  \
	clipres.o  \
	clipadp.o  \
	clipsort.o \
	clipdbg.o  \
	tixml.o    \
	bltml.o    \
	clipmmio.o \
	clipcvid.o \
	clipcp21.o \
	cliptlz.o  \
	clipfnt8.o \
	clipflt1.o \
	clipflt2.o \
	cliprenf.o \
	clipdct2.o \
	clipjpeg.o \
	clippng.o  \
	clipgif.o  \
	cliptga.o  \
	clipquaf.o \
	clipswf.o  \
	clipidle.o \
	clipfntx.o \
	clipsrf.o  \
	clipfp16.o \
	cliplzss.o \
	clipint.o  \
	clipncs.o  \

# clip2.libに含めるオブジェクトファイルを列挙してください。
OBJS_CLIP2 =       \
	clipc17.o  \

# fram.libに含めるオブジェクトファイルを列挙してください。
OBJS_FRAM =        \
	framtop.o  \
	framfix.o  \
	framfont.o \
	framldir.o \
	framdraw.o \
	frammod1.o \
	frammod2.o \
	frams3m.o  \
	framxm.o   \
	framit.o   \
	framdprm.o \
	framds11.o \
	framds12.o \
	framds13.o \
	framds14.o \
	framds15.o \
	framds21.o \
	framds22.o \
	framds23.o \
	framds24.o \
	framds25.o \
	framline.o \
	frammp3.o  \
	frampsid.o \
	framsap.o  \
	framspc.o  \
	framsp2a.o \
	framvgm.o  \
	framgym.o  \
	framgbs.o  \
	framhes.o  \
	framym.o   \
	framay3.o  \
	framsid.o  \
	frampky.o  \
	framsds.o  \
	framsn7.o  \
	framdms.o  \
	framdms2.o \
	framwsg.o  \
	framp62.o  \
	framn2.o   \
	framn2a.o  \
	framz80.o  \
	framz80a.o \
	framz8c.o  \
	framz8ca.o \
	framm65.o  \
	framm65a.o \
	fram65c.o  \
	fram65ca.o \
	framw65.o  \
	framw65a.o \
	framssm.o  \
	framssma.o \
	framdmg.o  \
	framdmga.o \
	framdmc.o  \
	framdmca.o \
	framm68.o  \
	framm68a.o \
	framm69.o  \
	framm69a.o \
	framc62.o  \
	framc62a.o \
	framt18.o  \
	framt18a.o \
	framppu.o  \
	framppua.o \
	frampp4.o  \
	frampp4a.o \
	framapu.o  \
	framapua.o \
	framdmv.o  \
	framdmva.o \
	framtia.o  \
	framtiaa.o \
	framsv.o   \
	framsva.o  \
	frams26.o  \
	frams26a.o \
	framuvi.o  \
	framuvia.o \
	framc16.o  \
	framc16a.o \
	framsti.o  \
	framstia.o \
	framht2.o  \
	framadp.o  \
	framflt1.o \
	framflt2.o \
	framflt3.o \
	framc17.o  \

# ヘッダファイルを列挙してください。
HEADERS =           \
	*.h         \
	chip8/*.h   \
	cp1610/*.h  \
	dmg/*.h     \
	huc6280/*.h \
	m6502/*.h   \
	m6800/*.h   \
	m6809/*.h   \
	s2650/*.h   \
	ssmp/*.h    \
	w65c02/*.h  \
	z80/*.h     \

# プロジェクト別のコンパイラ・リンカオプションを定義してください。
# （インクルードパス、ライブラリパス、ライブラリファイルの列挙等）
APP_CFLAGS  =
APP_LDFLAGS =

#############################################################################
#	アクション
#############################################################################

all: cstart.o lib
lib: clip1.lib clip2.lib fram.lib
clip1.lib: $(OBJS_CLIP1)
	$(LIB) $@ $(OBJS_CLIP1)
clip2.lib: $(OBJS_CLIP2)
	$(LIB) $@ $(OBJS_CLIP2)
fram.lib: $(OBJS_FRAM)
	$(LIB) $@ $(OBJS_FRAM)
clean:
	-del *.o
	-del *.lib
	-del *.$$
	-del *.ps
	-del *.ms

#############################################################################
#	依存関係
#############################################################################

# * 同じターゲットに対する依存関係行はいくつも定義できます。
#   ターゲットが依存するファイルは、それらをマージした結果となります。
#   clip.mkの中でOBJSは全ての*.hファイルに依存すると宣言しているので、
#   この場合、clippce.oは全ての*.hに加えて、clipdobj.cにも依存します。
#clippce.o: clipdobj.c

# * Wed Jul 6 06:14:00 JST 2005 Naoyuki Sawa
# - clip.libとfram.libの分離により、clip.mkでの依存関係定義:
#	$(OBJS): $(HEADERS)
#   では対応できなくなっていました。(これまで気付きませんでした...)
#   OBJS_CLIPとOBJS_FRAM毎に依存関係を明示しました。
# * Fri Jan 15 19:19:21 JST 2010 Naoyuki Sawa
# - clip.libを、clip1.libとclip2.libに分割したことに追従しました。
$(OBJS_CLIP1): $(HEADERS)
$(OBJS_CLIP2): $(HEADERS)
$(OBJS_FRAM):  $(HEADERS)

# * Tue Apr 1 19:00:00 JST 2003 Naoyuki Sawa
# - 高速RAM転送候補モジュールのコンパイル方法を明示します。（暗黙の規則に優先）
#   高速RAMはサイズが限られているため、常に最適化オプションを指定してコンパイルします。
#   後述のmltwtoh.sedを適用しないモジュールの記述テンプレートは次のとおりです。
#	framtmpl.o: framtmpl.c
#		$(CC) $(FRAM_CFLAGS) $<
# - gcc33が生成するソースコード中、大半のmlt.wはmlt.hに置き換えて高速化可能です。
#   gcc33が生成するコードを調べて、置き換え可能ならば、mltwtoh.sedを適用してください。
#   mltwtoh.sedを適用するモジュールの記述テンプレートは次のとおりです。
#	framtmpl.o: framtmpl.c
#		$(CC) $(FRAM_CFLAGS) $<
#		sed -f mltwtoh.sed < $*.ps > $*.s
#		$(CC) $(FRAM_CFLAGS) $*.s
# - 高速RAM転送候補モジュールが増えたら、ここに追記してください。
#   clip.mkに、高速RAM転送モジュール抽出方法を追記するのも忘れずに！
# * Wed Nov 19 05:22:00 JST 2003 Naoyuki Sawa
# - 依存関係に$(HEADERS)を追加するのを忘れていたので、追加しました。
#   正しいテンプレートは次のとおりです。
#   ・mlt.w→mlt.h置き換えを行わない場合:
#	framtmpl.o: framtmpl.c $(HEADERS)
#		$(CC) $(FRAM_CFLAGS) $<
#   ・mlt.w→mlt.h置き換えを行う場合:
#	framtmpl.o: framtmpl.s
#	framtmpl.s: framtmpl.c $(HEADERS)
#		$(CC) $(FRAM_CFLAGS) $<
#		sed -f mltwtoh.sed < $*.ps > $@
# * Wed Feb 22 00:00:00 JST 2006 Naoyuki Sawa
# - FRAM_CFLAGSに -I$(CLIP) -I$(CLIP)\include を追加しました。
#   詳細は clip.mk の同日コメントを参照してください。
#
#FRAM_CFLAGS = -c -Wall -gp=0x0 -near -DPIECE -O2 -DNDEBUG -b
FRAM_CFLAGS = -c -Wall -gp=0x0 -near -DPIECE -I$(CLIP) -I$(CLIP)\include -b -O2 -DNDEBUG
ifdef TRACE
FRAM_CFLAGS += -DTRACE_ON=$(TRACE)
endif
framtop.o: framtop.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framfix.o: framfix.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framldir.o: framldir.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
#framdraw.o: framdraw.s
#framdraw.s: framdraw.c $(HEADERS)
#	$(CC) $(FRAM_CFLAGS) $<
#	sed -f mltwtoh.sed < $*.ps > $@
#↓* Tue Oct 23 12:54:59 JST 2007 Naoyuki Sawa
#↓- framdrawのmlt.w→mlt.h変換が不要になったので、framdraw.o生成規則を修正しました。
#↓  詳細は、framdraw.cのコメントを参照してください。
framdraw.o: framdraw.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
#framfont.o: framfont.s
#framfont.s: framfont.c $(HEADERS)
#	$(CC) $(FRAM_CFLAGS) $<
#	sed -f mltwtoh.sed < $*.ps > $@
#↓* Wed Sep 19 17:10:47 JST 2007 Naoyuki Sawa
#↓- framfontのmlt.w→mlt.h変換が不要になったので、framfont.o生成規則を修正しました。
#↓  詳細は、framfont.cのコメントを参照してください。
framfont.o: framfont.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frammod1.o: frammod1.s
frammod1.s: frammod1.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
	sed -f mltwtoh.sed < $*.ps > $@
frammod2.o: frammod2.s
frammod2.s: frammod2.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
	sed -f mltwtoh.sed < $*.ps > $@
frams3m.o: frams3m.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framxm.o: framxm.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framit.o: framit.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdprm.o: framdprm.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds11.o: framds11.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds12.o: framds12.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds13.o: framds13.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds14.o: framds14.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds15.o: framds15.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds21.o: framds21.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds22.o: framds22.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds23.o: framds23.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds24.o: framds24.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framds25.o: framds25.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framline.o: framline.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frammp3.o: frammp3.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frampsid.o: frampsid.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsap.o: framsap.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framspc.o: framspc.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsp2a.o: framsp2a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framvgm.o: framvgm.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framgym.o: framgym.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framgbs.o: framgbs.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framhes.o: framhes.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framym.o: framym.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framay3.o: framay3.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsid.o: framsid.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frampky.o: frampky.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsds.o: framsds.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsn7.o: framsn7.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdms.o: framdms.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdms2.o: framdms2.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framwsg.o: framwsg.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framp62.o: framp62.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framn2.o: framn2.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framn2a.o: framn2a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framz80.o: framz80.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framz80a.o: framz80a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framz8c.o: framz8c.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framz8ca.o: framz8ca.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framm65.o: framm65.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framm65a.o: framm65a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
fram65c.o: fram65c.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
fram65ca.o: fram65ca.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framw65.o: framw65.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framw65a.o: framw65a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framssm.o: framssm.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framssma.o: framssma.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdmg.o: framdmg.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdmga.o: framdmga.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdmc.o: framdmc.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdmca.o: framdmca.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framm68.o: framm68.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framm68a.o: framm68a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framm69.o: framm69.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framm69a.o: framm69a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framc62.o: framc62.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framc62a.o: framc62a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framt18.o: framt18.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framt18a.o: framt18a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framppu.o: framppu.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framppua.o: framppua.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frampp4.o: frampp4.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frampp4a.o: frampp4a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framapu.o: framapu.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framapua.o: framapua.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdmv.o: framdmv.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framdmva.o: framdmva.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framtia.o: framtia.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framtiaa.o: framtiaa.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsv.o: framsv.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsva.o: framsva.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frams26.o: frams26.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
frams26a.o: frams26a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framuvi.o: framuvi.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framuvia.o: framuvia.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framc16.o: framc16.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framc16a.o: framc16a.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framsti.o: framsti.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framstia.o: framstia.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framht2.o: framht2.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framadp.o: framadp.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framflt1.o: framflt1.s $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framflt2.o: framflt2.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framflt3.o: framflt3.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<
framc17.o: framc17.c $(HEADERS)
	$(CC) $(FRAM_CFLAGS) $<

#############################################################################
# * clip.mkの中でシンボル定義の有無によって処理を分けているので、
#   clip.mkのインクルードは最後に行わなければいけません。
include $(CLIP)\clip.mk
